# Type Alias ServerData

服务端数据

type ServerData = {
paths: {
color?: number;
enabled?: boolean;
enablePathline?: boolean;
enableSubMesh?: boolean;
id: string;
lineWidth?: number;
points: { x: number; y: number; z: number }[];
range?: number;
speed?: number;
subMeshColor?: number;
subMeshOpacity?: number;
subMeshWidth?: number;
visible?: boolean;
}[];
}

- Defined in lib/plugins/DynamicPathLinePlugin/typing.ts:40

##### Index

### Properties

paths

## Properties

### paths

paths: {
color?: number;
enabled?: boolean;
enablePathline?: boolean;
enableSubMesh?: boolean;
id: string;
lineWidth?: number;
points: { x: number; y: number; z: number }[];
range?: number;
speed?: number;
subMeshColor?: number;
subMeshOpacity?: number;
subMeshWidth?: number;
visible?: boolean;
}[]

- Defined in lib/plugins/DynamicPathLinePlugin/typing.ts:41